package com.qmth.paper.library.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 自定义菜单result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/8/24
 */
public class TSchoolPrivilegeResult implements Serializable {

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    Long schoolId;

    @ApiModelProperty(value = "自定义菜单id")
    List<String> privilegeIdList;

    public TSchoolPrivilegeResult() {

    }

    public TSchoolPrivilegeResult(Long schoolId, List<String> privilegeIdList) {
        this.schoolId = schoolId;
        this.privilegeIdList = privilegeIdList;
    }

    public List<String> getPrivilegeIdList() {
        return privilegeIdList;
    }

    public void setPrivilegeIdList(List<String> privilegeIdList) {
        this.privilegeIdList = privilegeIdList;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

}
